[alsa-devel] Issues with HDSPM

Adrian Knoth adi at drcomp.erfurt.thur.de
Tue Jun 7 09:05:14 CEST 2011

On 06/07/2011 08:33 AM, Adrian Knoth wrote:

>> We're using CentOS 5 with and ALSA 1.0.24
>> When switching to a PCI version of the card, the kernel completely
>> crashes on boot.

I just noticed that the driver in the 1.0.24 release tarball doesn't
contain the latest fixes we already have in the git repo.

I reckon the PCI version has an "unknown" revision ID. We added a
default case a couple of month ago to prevent the kernel from crashing:

		snd_printk(KERN_ERR "HDSPM: unknown firmware revision %x\n",
		return -ENODEV;

I suggest you use this file instead of the 1.0.24 tarball:


If you send me the revision ID of your PCI MADI card, I'll come up with
a patch.


More information about the Alsa-devel mailing list